@media (min-width: 992px) {
  .aside-minimize:not(.aside-minimize-hover) .aside-menu .menu-nav>.menu-item>.user-account-name {
    display: none;
  }

  .aside-minimize:not(.aside-minimize-hover) .aside-menu .menu-nav>.menu-item>.menu-link .menu-icon {
    justify-content: center;
  }
}

.aside-menu .menu-nav>.menu-item>.menu-link {
  padding: 8px 14px;
  min-height: unset;
}

.aside-menu .menu-nav>.menu-item .menu-submenu .menu-item.menu-item-active>.menu-heading .menu-text,
.aside-menu .menu-nav>.menu-item .menu-submenu .menu-item.menu-item-active>.menu-link .menu-text {
  font-weight: 700;
}

.brand .btn .svg-icon svg g [fill],
.brand .btn:hover .svg-icon svg g [fill] {
  fill: #ffffff;
}

.brand .btn .svg-icon svg {
  opacity: 0.8;
}

.brand .btn:hover .svg-icon svg {
  opacity: 1;
}

.header-mobile .burger-icon span,
.header-mobile .burger-icon span::before,
.header-mobile .burger-icon span::after,
.header-mobile .burger-icon:hover span,
.header-mobile .burger-icon:hover span::before,
.header-mobile .burger-icon:hover span::after {
  background-color: #ffffff;
}

.header-mobile .burger-icon span {
  opacity: 1;
}

.header-mobile .burger-icon span::before,
.header-mobile .burger-icon span::after {
  opacity: 0.8;
}

.header-mobile .burger-icon {
  transition: opacity 0.3s ease;
  opacity: 0.8;
}

.header-mobile .burger-icon:hover {
  transition: opacity 0.3s ease;
  opacity: 1;
}

.breadcrumb.breadcrumb-arrow .breadcrumb-item:before {
  display: none;
}

.breadcrumb.breadcrumb-arrow .breadcrumb-item:after {
  font-family: "boxicons";
  content: "\ee90";
  padding-left: 0.5rem;
}

.breadcrumb.breadcrumb-arrow .breadcrumb-item:last-child:after {
  display: none;
}

.nav {
  flex-wrap: nowrap;
  overflow-x: auto;
}

.nav.nav-pills {
  padding-bottom: 0.5rem;
}

.nav.nav-pills .nav-item {
  flex-shrink: 0;
}

.nav.nav-pills .nav-item:last-child {
  margin-right: 0;
}

.nav.nav-tabs--products {
  overflow-y: hidden;
}

.nav.nav-tabs--products .nav-link {
  padding: 0.5rem 0.75rem;
  background-color: #eaf2fd;
  white-space: nowrap;
}

.nav.nav-tabs--products .nav-link:hover,
.nav.nav-tabs--products .nav-link:focus {
  border-color: #3b7bdd;
  background-color: #3b7bdd;
}

.nav.nav-tabs--products .nav-link:hover .nav-text,
.nav.nav-tabs--products .nav-link:focus .nav-text,
.nav.nav-tabs--products .nav-link:hover .nav-icon i,
.nav.nav-tabs--products .nav-link:focus .nav-icon i {
  color: #ffffff;
}

.nav.nav-tabs--products .nav-link .nav-icon {
  text-align: left;
  width: 1.5rem;
}

.nav.nav-tabs--products .nav-link .nav-text,
.nav.nav-tabs--products .nav-link .nav-icon i {
  color: #3b7bdd;
}

.nav.nav-tabs--products .nav-link.active,
.nav.nav-tabs--products .nav-item.show .nav-link {
  border-color: #3b7bdd;
  background-color: #3b7bdd;
}

.nav.nav-tabs--products .nav-link.active .nav-text,
.nav.nav-tabs--products .nav-item.show .nav-link .nav-text {
  color: #ffffff;
}

.btn.disabled,
.btn:disabled {
  background-color: #dcdde5 !important;
  border-color: #dcdde5 !important;
}

.upper-label {
  position: relative;
}

.upper-label .input-icon .bootstrap-datetimepicker-widget span {
  position: initial;
}

.upper-label .form-control::-moz-placeholder {
  opacity: 0;
}

.upper-label .form-control:-ms-input-placeholder {
  opacity: 0;
}

.upper-label .form-control::placeholder {
  opacity: 0;
}

.upper-label .form-control:-moz-placeholder {
  opacity: 0;
}

.upper-label .form-control::-webkit-input-placeholder {
  opacity: 0;
}

.upper-label .form-control:not(:-moz-placeholder-shown)~label {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) calc(50% - 1px), #ffffff calc(50% - 1px), #ffffff 100%);
}

.upper-label .form-control:not(:-ms-input-placeholder)~label {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) calc(50% - 1px), #ffffff calc(50% - 1px), #ffffff 100%);
}

.upper-label .form-control:not(:placeholder-shown)~label,
.upper-label .form-control:focus~label {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) calc(50% - 1px), #ffffff calc(50% - 1px), #ffffff 100%);
}

.upper-label .form-control:empty~label {
  opacity: 1;
  visibility: visible;
}

.upper-label .form-control:focus {
  outline: 1px solid #3b7bdd;
}

.upper-label .form-control:disabled {
  color: #b9bcca;
}

.upper-label .form-control:disabled~label {
  color: #b9bcca;
}

.upper-label .form-control:disabled~label>span {
  display: none;
}

.upper-label .form-control--clean {
  border: none;
  outline: none;
  pointer-events: none;
}

.upper-label label:not(.checkbox) {
  position: absolute;
  display: block;
  top: 50%;
  left: calc(0.857rem + 1px - 0.143rem);
  line-height: 1.5;
  transition: top 50ms ease-in-out;
  transform: translateY(-50%);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) calc(50% - 1px), rgba(255, 255, 255, 0) calc(50% - 1px), rgba(255, 255, 255, 0) 100%);
  color: #b9bcca;
  padding: 0 0.143rem;
  z-index: 3;
  margin-bottom: 0;
  white-space: nowrap;
  max-width: 90%;
  text-overflow: ellipsis;
  overflow: hidden;
}

.upper-label label:not(.checkbox).floating {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
}

.upper-label textarea~label:not(.checkbox) {
  top: calc(0.75rem + 0.5rem);
}

.upper-label textarea:-moz-placeholder-shown~label {
  opacity: 1;
  visibility: visible;
}

.upper-label textarea:-ms-input-placeholder~label {
  opacity: 1;
  visibility: visible;
}

.upper-label textarea:placeholder-shown~label {
  opacity: 1;
  visibility: visible;
}

.upper-label .input-icon label {
  left: calc(1.5rem + 1.286rem + 2px - 0.143rem);
}

.form-group.hidden {
  display: none;
}

.form-group.hidden-reverse {
  display: none;
}

.form-group.hidden-reverse.hidden {
  display: block;
}

.btnCheckbox {
  position: relative;
}

.btnCheckbox .btnCheckbox__input {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.btnCheckbox .btnCheckbox__input:checked~.btnCheckbox__icon--checked {
  display: flex;
}

.btnCheckbox .btnCheckbox__input:not(:checked)~.btnCheckbox__icon--unchecked {
  display: flex;
}

.btnCheckbox .btnCheckbox__icon {
  display: none;
}

.ql-container.ql-snow,
.ql-toolbar.ql-snow {
  border-color: #dcdde5;
}

.select2-container--default.select2-container--focus .select2-selection--multiple,
.select2-container--default.select2-container--focus .select2-selection--single,
.select2-container--default.select2-container--open .select2-selection--multiple,
.select2-container--default.select2-container--open .select2-selection--single {
  outline: 1px solid #3b7bdd !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  padding-top: 0.675rem;
  padding-bottom: 0.475rem;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered .select2-selection__choice {
  padding-top: 0.1rem;
  padding-bottom: 0.1rem;
}

.upper-label .form-control.select2~label {
  color: #b9bcca;
  font-weight: 400;
  font-size: 1rem;
  top: 50%;
}

.upper-label .form-control.select2~label.floating {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
}

.upper-label .form-control.select2+.select2-container {
  min-width: 100%;
  max-width: 100%;
}

.upper-label .select2-container--default.select2-container--focus~label,
.upper-label .select2-container--default.select2-container--open~label {
  color: #3b7bdd;
  font-weight: 700;
  font-size: 0.714rem;
  opacity: 1;
  visibility: visible;
  top: 0;
}

.is-invalid+.select2-container--default .select2-selection--single,
.is-invalid+.select2-container--default .select2-selection--multiple {
  border-color: #f64e60;
}

.dropzone.dropzone-default {
  min-height: 65px;
  border: 1px dashed #b9bbcb;
  display: flex;
  align-items: center;
}

.dropzone .dz-message {
  text-align: left;
  margin: 0;
}

.dropzone-previews .dz-preview .dz-success-mark,
.dropzone-previews .dz-preview .dz-error-mark {
  display: none;
}

.dropzone-previews .dz-preview.dz-success .dz-success-mark {
  display: block;
}

.dropzone-previews .dz-preview.dz-error .dz-error-mark {
  display: block;
}

.dropzone-previews .dz-preview .dz-progress {
  opacity: 1;
  pointer-events: none;
  height: 8px;
  background: rgba(255, 255, 255, 0.9);
  border-radius: 4px;
  overflow: hidden;
  position: relative;
  margin-top: 4px;
  max-width: 150px;
}

.dropzone-previews .dz-preview .dz-progress .dz-upload {
  background: #3b7bdd;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 0;
  transition: width 300ms ease-in-out;
}

.dropzone-previews .dz-preview.dz-processing .dz-progress {
  opacity: 1;
  display: block;
  transition: all 0.2s linear;
}

.dropzone-previews .dz-preview.dz-complete .dz-progress {
  opacity: 0;
  display: none;
  transition: all 0.2s linear;
}

.dropzone-previews .dz-preview:not(.dz-processing) .dz-progress {
  -webkit-animation: pulse 6s ease infinite;
  animation: pulse 6s ease infinite;
}

.js-cards-repeater-card .btn:disabled i {
  color: #ffffff;
}

.repeater-group-item {
  border-top: 5px solid #969ab0 !important;
  border-top-right-radius: 0 !important;
}

.repeater-row-highlight input,
.repeater-row-highlight .select2-container--default .select2-selection--multiple,
.repeater-row-highlight .select2-container--default .select2-selection--single {
  border-color: #8950fc !important;
  outline: 1px solid #8950fc !important;
}

.daterangepicker.show-calendar .ranges {
  height: unset;
}

.daterangepicker .drp-calendar.left,
.daterangepicker .drp-calendar.right {
  margin: 0 auto;
}

.table--custom {
  margin-bottom: 0;
}

.table--custom>tbody>tr>td {
  padding: 0.15rem 1rem;
}

.table--custom>tbody>tr>td:first-child {
  padding-left: 0;
}

.table--custom>tbody>tr>td:last-child {
  padding-right: 0;
}

.table--custom>tbody+tbody>tr:first-child>td {
  padding-top: 1rem;
}

.table--custom .table th {
  border-bottom: 2px solid #dcdde5;
}

.table--custom .table td {
  border-bottom: 1px solid #dcdde5;
}

.table--inputsRepeater {
  width: 100%;
}

.table--inputsRepeater td,
.table--inputsRepeater th {
  padding: 0.5rem;
  white-space: nowrap;
}

.table--inputsRepeater td:first-child,
.table--inputsRepeater th:first-child {
  padding-left: 0;
}

.table--inputsRepeater td:last-child,
.table--inputsRepeater th:last-child {
  padding-right: 0;
}

.tooltip .tooltip-inner {
  padding: 0.25rem 0.5rem;
}

.modal-backdrop {
  background-color: #3f4254;
}

.modal-backdrop.show {
  opacity: 0.87;
}

.modal-content {
  box-shadow: 0px 24px 32px 16px rgba(0, 0, 0, 0.13), 0px 12px 12px rgba(0, 0, 0, 0.13);
  border-radius: 0.75rem;
}

.modal-content .close {
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(100%, -100%);
  opacity: 1;
  text-shadow: none;
  border-radius: 50%;
  width: 2rem;
  height: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 5;
}

.modal-content .close i {
  color: #ffffff;
}

.modal-content .close:hover,
.modal-content .close:focus {
  opacity: 1 !important;
}

.modal-content .close:hover i,
.modal-content .close:focus i {
  color: #f64e60;
}

@media (max-width: 575px) {
  .modal-content .close {
    transform: translate(0, 0);
  }

  .modal-content .close i {
    color: #3f4254;
  }
}

.draggable-zone .draggable.draggable-mirror {
  z-index: 5;
}

.draggable-zone .draggable.draggable-mirror .card.card-custom {
  box-shadow: 0px 8px 16px 6px rgba(0, 0, 0, 0.07), 0px 2px 6px rgba(0, 0, 0, 0.07);
}

.draggable-zone .draggable.draggable-mirror.draggable--tilt .card.card-custom {
  transform: rotate(3deg);
}

.message {
  max-width: 85%;
}

.message--left .rounded-lg {
  border-top-left-radius: 0 !important;
}

.message--right .rounded-lg {
  border-top-right-radius: 0 !important;
}

.symbol>img {
  height: unset !important;
}